/* ==================== [ Form Controls Start ] ==================== */
.form-label {
    font-size: 14px;
    font-weight: 500;
    color: var(--dark);
    margin-bottom: 4px;
    line-height: 130%;
}

.form-control {
    background-color: var(--white);
    border: 1px solid var(--border);
    border-radius: 8px;
    outline: 0 !important;
    box-shadow: inset 0 2px 3px rgba(27, 117, 187, 0.08),
        inset 0 -2px 1px rgba(255, 255, 255, 0.6);
    transition: all 0.2s ease;
    padding: 6px 12px;
    box-shadow: none !important;
}

.form-control:not(:is([type="file"])):read-only,
.form-control.disabled,
.form-control:disabled {
    cursor: not-allowed;
    background: var(--border-10);
}

.form-control::placeholder {
    color: var(--secondary);
    opacity: 0.7;
}

.form-check {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 4px;
}

.form-check-input {
    background-color: var(--transparent);
    position: relative !important;
    margin: 0;
    padding: 0;
    box-shadow: none !important;
    cursor: pointer;
}

.form-check .form-check-input:active,
.form-check .form-check-input:focus {
    border-color: var(--primary);
}

.form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.form-check.info .form-check-input:active,
.form-check.info .form-check-input:focus {
    border-color: var(--info);
}

.form-check.info .form-check-input:checked {
    background-color: var(--info);
    border-color: var(--info);
}

.form-check.teal .form-check-input:active,
.form-check.teal .form-check-input:focus {
    border-color: var(--teal);
}

.form-check.teal .form-check-input:checked {
    background-color: var(--teal);
    border-color: var(--teal);
}

.form-check.success .form-check-input:active,
.form-check.success .form-check-input:focus {
    border-color: var(--success);
}

.form-check.success .form-check-input:checked {
    background-color: var(--success);
    border-color: var(--success);
}

.form-check.yellow .form-check-input:active,
.form-check.yellow .form-check-input:focus {
    border-color: var(--yellow);
}

.form-check.yellow .form-check-input:checked {
    background-color: var(--yellow);
    border-color: var(--yellow);
}

.form-check.warning .form-check-input:active,
.form-check.warning .form-check-input:focus {
    border-color: var(--warning);
}

.form-check.warning .form-check-input:checked {
    background-color: var(--warning);
    border-color: var(--warning);
}

.form-check.danger .form-check-input:active,
.form-check.danger .form-check-input:focus {
    border-color: var(--danger);
}

.form-check.danger .form-check-input:checked {
    background-color: var(--danger);
    border-color: var(--danger);
}

.form-check.purple .form-check-input:active,
.form-check.purple .form-check-input:focus {
    border-color: var(--purple);
}

.form-check.purple .form-check-input:checked {
    background-color: var(--purple);
    border-color: var(--purple);
}

.form-check.secondary .form-check-input:active,
.form-check.secondary .form-check-input:focus {
    border-color: var(--secondary);
}

.form-check.secondary .form-check-input:checked {
    background-color: var(--secondary);
    border-color: var(--secondary);
}

.form-check-label {
    font-size: 14px;
    font-weight: 400;
    color: var(--dark);
    margin-bottom: 0;
    line-height: 100%;
    cursor: pointer;
}

/* ==================== [ Form Controls End ] ==================== */

/* ==================== [ Form Switch Start ] ==================== */
.form-switch .form-check-input:focus,
.form-switch.primary .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%231B75BB66'/%3e%3c/svg%3e");
}

.form-switch.info .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%232CA8C266'/%3e%3c/svg%3e");
}

.form-switch.teal .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%232FAF9E66'/%3e%3c/svg%3e");
}

.form-switch.success .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%234CAF5066'/%3e%3c/svg%3e");
}

.form-switch.yellow .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23F4B40066'/%3e%3c/svg%3e");
}

.form-switch.warning .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23F9731666'/%3e%3c/svg%3e");
}

.form-switch.danger .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23EF444466'/%3e%3c/svg%3e");
}

.form-switch.purple .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%237C3AED66'/%3e%3c/svg%3e");
}

.form-switch.secondary .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%2392949766'/%3e%3c/svg%3e");
}

.form-switch.primary .form-check-input:checked:focus,
.form-switch.info .form-check-input:checked:focus,
.form-switch.teal .form-check-input:checked:focus,
.form-switch.success .form-check-input:checked:focus,
.form-switch.yellow .form-check-input:checked:focus,
.form-switch.warning .form-check-input:checked:focus,
.form-switch.danger .form-check-input:checked:focus,
.form-switch.purple .form-check-input:checked:focus,
.form-switch.secondary .form-check-input:checked:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='white'/%3e%3c/svg%3e") !important;
}

/* ==================== [ Form Switch End ] ==================== */

/* ==================== [ Alert Start ] ==================== */
.alert {
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 3px;
    border-radius: 6px;
    padding: 6px 12px;
    line-height: 140%;
}

.alert i {
    font-size: 20px;
    margin-right: 8px;
}

.alert-primary {
    color: var(--primary);
    background-color: rgba(27, 117, 187, 0.08);
    border: 1px solid rgba(27, 117, 187, 0.3);
}

.alert-info {
    color: var(--info);
    background-color: rgba(44, 168, 194, 0.08);
    border: 1px solid rgba(44, 168, 194, 0.3);
}

.alert-teal {
    color: var(--teal);
    background-color: rgba(47, 175, 158, 0.08);
    border: 1px solid rgba(47, 175, 158, 0.3);
}

.alert-success {
    color: var(--success);
    background-color: rgba(76, 175, 80, 0.08);
    border: 1px solid rgba(76, 175, 80, 0.3);
}

.alert-yellow {
    color: var(--yellow);
    background-color: rgba(244, 180, 0, 0.08);
    border: 1px solid rgba(244, 180, 0, 0.3);
}

.alert-warning {
    color: var(--warning);
    background-color: rgba(249, 115, 22, 0.08);
    border: 1px solid rgba(249, 115, 22, 0.3);
}

.alert-danger {
    color: var(--danger);
    background-color: rgba(239, 68, 68, 0.08);
    border: 1px solid rgba(239, 68, 68, 0.3);
}

.alert-purple {
    color: var(--purple);
    background-color: rgba(124, 58, 237, 0.08);
    border: 1px solid rgba(124, 58, 237, 0.3);
}

.alert-secondary {
    color: var(--secondary);
    background-color: rgba(146, 148, 151, 0.08);
    border: 1px solid rgba(146, 148, 151, 0.3);
}

/* ==================== [ Alert End ] ==================== */

/* ==================== [ Select2 Start ] ==================== */
/* === Single Select Select2 === */
.select2-container--default .select2-selection--single {
    height: unset;
    background-color: var(--white);
    border: 1px solid var(--border);
    border-radius: 8px;
    outline: 0 !important;
    box-shadow: inset 0 2px 3px rgba(27, 117, 187, 0.08),
        inset 0 -2px 1px rgba(255, 255, 255, 0.6);
    transition: all 0.2s ease;
    padding: 6px 12px;
    box-shadow: none !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding: 0;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100%;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    position: absolute !important;
    border: none !important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 12px;
    width: 12px !important;
    height: 12px !important;
    transform: translate(-50%, -50%) !important;
    top: 50%;
    left: 50%;
}

.select2-container--open .select2-dropdown--below {
    border-top: 0 !important;
    border: 1px solid var(--border);
    overflow: hidden !important;
    border-radius: 0 0 8px 8px;
    -webkit-border-radius: 0 0 8px 8px;
    -moz-border-radius: 0 0 8px 8px;
    -ms-border-radius: 0 0 8px 8px;
    -o-border-radius: 0 0 8px 8px;
}

.select2-search--dropdown {
    padding: 8px;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    background-color: var(--white);
    border: 1px solid var(--border);
    border-radius: 8px;
    outline: 0 !important;
    box-shadow: inset 0 2px 3px rgba(27, 117, 187, 0.08),
        inset 0 -2px 1px rgba(255, 255, 255, 0.6);
    transition: all 0.2s ease;
    padding: 6px 12px;
    box-shadow: none !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--primary);
}

.select2-container--default .select2-results__option--selected {
    background-color: var(--active-bg);
    color: var(--primary);
}

.select2-results__option {
    padding: 8px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 24px;
}


/* === Multi Select Select2 === */
.select2-container--default .select2-selection--multiple {
    background-color: var(--white);
    border: 1px solid var(--border);
    border-radius: 8px;
    min-height: 42px;
    padding: 4px 8px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 4px;
    transition: all 0.2s ease;
    box-shadow: none !important;
}

.select2-container--default.select2-container--focus .select2-selection--multiple,
.select2-container--default .select2-selection--multiple:focus,
.select2-container--default .select2-selection--multiple:focus-within {
    outline: none !important;
    box-shadow: none !important;
    border: 1px solid var(--border) !important;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin: 0;
    padding: 0;
}

.select2-container--default .select2-selection--multiple .select2-search--inline .select2-search__field {
    margin: 0;
    height: 24px;
    line-height: 24px;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--active-bg);
    color: var(--primary);
    border: 1px solid var(--border-primary-25) !important;
    border-radius: 4px;
    padding: 4px 6px;
    font-size: 13px;
    display: flex;
    align-items: center;
    gap: 2px;
    margin: 0;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    line-height: 140%;
    padding: 0;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    position: relative;
    margin: 0;
    padding: 0 8px !important;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 0;
    cursor: pointer;
}

.select2-selection__choice__remove {
    font-size: 0;
    color: transparent !important;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.select2-selection__choice__remove span {
    display: none;
}

.select2-selection__choice__remove::before {
    content: "\eb99";
    font-family: "remixicon" !important;
    font-size: 14px;
    color: var(--primary);
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.select2-selection__choice__remove:hover {
    background-color: var(--transparent);
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    background: var(--transparent) !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--primary);
    color: #fff;
}

.select2-container--default .select2-results__option--selected {
    background-color: var(--active-bg);
    color: var(--primary);
}

.select2-selection__clear {
    display: none !important;
}

/* ==================== [ Select2 End ] ==================== */